Bug 236792 - java/eclipse: Update to 4.11
Summary: java/eclipse: Update to 4.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-25 21:52 UTC by Jonathan Chen
Modified: 2019-04-14 12:35 UTC (History)
8 users (show)

See Also:
pi: maintainer-feedback-


Attachments
eclipse 4.11 update (197.71 KB, text/plain)
2019-03-25 21:52 UTC, Jonathan Chen
no flags Details
eclipse 4.11 update (1) (197.72 KB, text/plain)
2019-03-26 04:08 UTC, Jonathan Chen
no flags Details
4.11 update (2) (288.41 KB, application/x-shar)
2019-03-29 08:16 UTC, Jonathan Chen
no flags Details
eclipse 4.11 update (3) (288.43 KB, application/x-shar)
2019-04-05 22:34 UTC, Jonathan Chen
no flags Details
eclipse 4.11 update (4) (288.48 KB, application/x-shar)
2019-04-13 10:28 UTC, Jonathan Chen
no flags Details
eclipse 4.11 update (5) (288.55 KB, text/plain)
2019-04-13 20:36 UTC, Jonathan Chen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2019-03-25 21:52:44 UTC
Created attachment 203149 [details]
eclipse 4.11 update

Update java/eclipse 4.6 -> 4.11

* request maintainership
* many thanks to Michael Zhilin and Curtis Hamilton in getting this running
* Warning: UI widgets are oddly sized, currently under investigation

The port has been rewritten from scratch, hence the need for a shar file instead of context-diff.
Comment 1 Michael Zhilin 2019-03-26 02:16:31 UTC
Hi Jonathan,

Thank you for your brilliant work!

I would like to ask you to put this request to Phabricator. 

It will be easy to review and provide comment. for example, we have 2 JDK as of now: 8 and 11, but JDK will be sticked to default because during port build it will populate path to JDK. I prefer to fix eclipse.c to be compatible to FreeBSD JDKs to avoid specify "-vm" flag. 

Many thanks!
Comment 2 Jonathan Chen 2019-03-26 04:08:10 UTC
Created attachment 203151 [details]
eclipse 4.11 update (1)

Minor update.
Comment 3 Jonathan Chen 2019-03-29 08:16:39 UTC
Created attachment 203235 [details]
4.11 update (2)

update (2) with a stable pkg-plist.
Comment 4 Jonathan Chen 2019-04-05 22:34:51 UTC
Created attachment 203418 [details]
eclipse 4.11 update (3)

maven-repo project renamed to eclipse-maven-repo
Comment 5 Kurt Jaeger freebsd_committer 2019-04-13 06:32:21 UTC
testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2019-04-13 08:05:36 UTC
testbuild on cur/12/112 in poudriere failed early in the first few modules to build.

https://people.freebsd.org/~pi/logs/java__eclipse-cur-1555140363.txt

Any ideas why this happens ?
Comment 7 Jonathan Chen 2019-04-13 10:28:19 UTC
Created attachment 203637 [details]
eclipse 4.11 update (4)

I suspect the failure is due to fatal error during the git commit in pre-build. I've uploaded "eclipse 4.11 update (4)" which should address this.
Comment 8 Jonathan Chen 2019-04-13 20:36:17 UTC
Created attachment 203651 [details]
eclipse 4.11 update (5)

This update creates a temporary dummy $HOME for git in pre-build; to overcome build problems on testbuild hosts.
Comment 9 Kurt Jaeger freebsd_committer 2019-04-14 08:25:42 UTC
Setting the temp home works, but only, if we also use

git config --global user.email "eclipse@freebsd.org"
git config --global user.name "Eclipse"

testbuilds@work
Comment 10 Jonathan Chen 2019-04-14 08:41:07 UTC
Please make the change to pre-build script as required, in order to get this committed.
Comment 11 Kurt Jaeger freebsd_committer 2019-04-14 09:14:48 UTC
Committed, thanks!
Comment 12 commit-hook freebsd_committer 2019-04-14 09:15:22 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 14 09:14:35 UTC 2019
New revision: 498880
URL: https://svnweb.freebsd.org/changeset/ports/498880

Log:
  java/eclipse: update 4.6 -> 4.11, submitter becomes maintainer

  - port is rewritten from scratch
  - Warning: UI widgets are oddly sized, currently under investigation

  PR:		236792
  Submitted by:	Jonathan Chen <jonc@chen.org.nz>
  Reviewed by:	mizhka@gmail.com, Curtis Hamilton
  Approved by:	ljboiler@gmail.com (maintainer timeout)
  Relnotes:	https://www.eclipse.org/eclipseide/2019-03/noteworthy/

Changes:
  head/java/eclipse/Makefile
  head/java/eclipse/Makefile.plugins
  head/java/eclipse/distinfo
  head/java/eclipse/files/amd64-patch-freebsd_natives
  head/java/eclipse/files/eclipse.in
  head/java/eclipse/files/i386-patch-freebsd_natives
  head/java/eclipse/files/patch-aggregator
  head/java/eclipse/files/patch-eclipse-platform-parent
  head/java/eclipse/files/patch-eclipse.pde.build
  head/java/eclipse/files/patch-eclipse.pde.ui
  head/java/eclipse/files/patch-eclipse.platform.releng
  head/java/eclipse/files/patch-eclipse.platform.releng.prereqs.sdk
  head/java/eclipse/files/patch-eclipse.platform.releng.tychoeclipsebuilder
  head/java/eclipse/files/patch-eclipse.platform.resources
  head/java/eclipse/files/patch-eclipse.platform.runtime
  head/java/eclipse/files/patch-eclipse.platform.swt
  head/java/eclipse/files/patch-eclipse.platform.swt.binaries
  head/java/eclipse/files/patch-eclipse.platform.team
  head/java/eclipse/files/patch-eclipse.platform.ua
  head/java/eclipse/files/patch-eclipse.platform.ui
  head/java/eclipse/files/patch-freebsd_natives
  head/java/eclipse/files/patch-production
  head/java/eclipse/files/patch-rt.equinox.bundles
  head/java/eclipse/files/patch-rt.equinox.framework
  head/java/eclipse/files/patch-rt.equinox.p2
  head/java/eclipse/files/patch-submodules
  head/java/eclipse/pkg-descr
  head/java/eclipse/pkg-plist
  head/java/eclipse/scripts/post-extract
  head/java/eclipse/scripts/pre-build
  head/java/eclipse/scripts/pre-patch
Comment 13 commit-hook freebsd_committer 2019-04-14 11:52:37 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 14 11:52:08 UTC 2019
New revision: 498892
URL: https://svnweb.freebsd.org/changeset/ports/498892

Log:
  java/eclipse-pydev: mark BROKEN after java/eclipse update

  - see also https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=213648

  PR:		236792

Changes:
  head/java/eclipse-pydev/Makefile
Comment 14 commit-hook freebsd_committer 2019-04-14 11:54:42 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 14 11:53:52 UTC 2019
New revision: 498893
URL: https://svnweb.freebsd.org/changeset/ports/498893

Log:
  devel/subversive: mark as BROKEN after java/eclipse update

  PR:		236792

Changes:
  head/devel/subversive/Makefile
Comment 15 Kurt Jaeger freebsd_committer 2019-04-14 11:56:22 UTC
ups: two ports used

java/eclipse/Makefile.plugins

See

devel/subversive
java/eclipse-pydev, see also: PR#213648
Comment 16 Kurt Jaeger freebsd_committer 2019-04-14 12:20:48 UTC
java/eclipse-windowbuilder is also including Makefile.plugins -- testbuild after re-add is fine, see PR#237280
Comment 17 Kurt Jaeger freebsd_committer 2019-04-14 12:25:38 UTC
devel/subversive is fine after re-add of Makefile.plugins.
Comment 18 commit-hook freebsd_committer 2019-04-14 12:32:25 UTC
A commit references this bug:

Author: pi
Date: Sun Apr 14 12:31:55 UTC 2019
New revision: 498900
URL: https://svnweb.freebsd.org/changeset/ports/498900

Log:
  java/eclipse-pydev: unbreak after java/eclipse update

  - path to BUNDLES_INFO changed

  PR:		236792

Changes:
  head/java/eclipse-pydev/Makefile
Comment 19 Kurt Jaeger freebsd_committer 2019-04-14 12:35:50 UTC
fallout fixed.